Loading...
Searching...
No Matches
XdbcFirebirdSqlUtilBase::XdbcFirebirdTrigger Class Reference

represents a Firebird-specific trigger More...

Inheritance diagram for XdbcFirebirdSqlUtilBase::XdbcFirebirdTrigger:
[legend]

## Public Member Functions

| constructor (string n, string n_src)
| creates the object and sets its name and the trigger source
softlist | getCreateSql (string table_name, *hash< auto > opt)
| returns a string that can be used to create the trigger in the database
softlist | getDropSql (string table_name)
| returns a string that can be used to drop the trigger from the database
softlist | getRenameSql (string table_name, string new_name)
| returns a string that can be used to rename the trigger in the database

## Protected Member Functions

bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not

## Detailed Description

represents a Firebird-specific trigger